#pragma once

#include <QMovie>
#include <QLabel>
#include <QPushButton>
#include <QPixmap>
#include <QProgressBar>
#include <QSocketNotifier>
#include <QVariantAnimation>
#include <QWidget>
 
#include "common/util.h"
#include "selfdrive/ui/ui.h"

class BodyWindow : public QWidget {
  Q_OBJECT
public:
  BodyWindow(QWidget* parent = 0);
private:
  void paintEvent(QPaintEvent*) override;
private slots:
  void updateState(const UIState &s);
  void offroadTransition(bool onroad);
};
